package jp.gihyo.mitoma.android.s0201003;

import androidx.appcompat.app.AlertDialog;
import androidx.appcompat.app.AppCompatActivity;

import android.app.DatePickerDialog;
import android.app.ProgressDialog;
import android.app.TimePickerDialog;
import android.content.DialogInterface;
import android.icu.util.Calendar;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.DatePicker;
import android.widget.TimePicker;

public class MainActivity extends AppCompatActivity{
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        Button button = findViewById(R.id.button);
        // テストするダイアログ対応リスナーのコメント解除する
        button.setOnClickListener(new AlertDialogListener());
        //button.setOnClickListener(new DatePickerListener());
        //button.setOnClickListener(new TimePickerListener());
    }
    //アラートダイアログ
    private class AlertDialogListener  implements View.OnClickListener{

        public void onClick(View view){
            // ダイアログ生成(簡易方式)
            AlertDialog.Builder builder = new AlertDialog.Builder(MainActivity.this);
            builder.setTitle("送信確認");
            builder.setMessage("この内容で送信しますか?");
            // OKボタンクリック時の処理
            builder.setPositiveButton("OK", new DialogInterface.OnClickListener() {
                @Override
                public void onClick(DialogInterface dialog, int which) {
                    //ダイアログのボタンクリック時の処理
                }
            });
            // Cancelボタンの時は処理なし(null)
            builder.setNegativeButton("CANCEL", null);
            builder.show();
        }
    }

    //デイトピッカーダイアログ
    private class DatePickerListener implements View.OnClickListener{

        public void onClick(View view) {
            DatePickerDialog dialog = new DatePickerDialog(MainActivity.this,
                    new DatePickerDialog.OnDateSetListener() {
                        public void onDateSet
                                (DatePicker datePicker, int year, int month, int day) {
                        }
                    },2024,0,1){};
            dialog.show();

        }
    }
    //タイムピッカーダイアログ
    private class TimePickerListener implements View.OnClickListener{

        public void onClick(View view) {
            Calendar calendar = Calendar.getInstance();
            int hour = calendar.get(Calendar.HOUR_OF_DAY);
            int minute = calendar.get(Calendar.MINUTE);
            TimePickerDialog dialog = new TimePickerDialog(MainActivity.this,
                    new TimePickerDialog.OnTimeSetListener() {
                        public void onTimeSet(TimePicker view, int hourOfDay,int minute) {
                        }
                    },hour,minute,true);
            dialog.show();
        }
    }
}


